; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = some_name
;   command = the_command
;   time = time (optional -- defaults to 15 if omitted)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas.
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /F, a    ;hold fwd while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;               command = ~30
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   You can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;   It's recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This matches the way most
;   popular fighting games implement their engine.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. Defaults to 15
;   if omitted


;-| Super Motions |--------------------------------------------------------
[Command]
name = QCF_ab
command = ~D, DF, F, a+b

[Command]
name = SFA3
command = ~D, DF, F, D, DF, F, a
Time = 30

;-| Special Motions |------------------------------------------------------
;ALL 360 COMMANDS TAKEN BY NEOGOUKI'S ROCK!!! >=
[Command]
name = dunk
command = ~U, B, D, F, x
time = 40

[Command]
name = dunk
command = ~B, D, F, U, x
time = 40

[Command]
name = dunk
command = ~D, F, U, B, x
time = 40

[Command]
name = dunk
command = ~F, U, B, D, x
time = 40

[Command]
name = dunk
command = ~U, F, D, B, x
time = 40

[Command]
name = dunk
command = ~F, D, B, U, x
time = 40

[Command]
name = dunk
command = ~D, B, U, F, x
time = 40

[Command]
name = dunk
command = ~B, U, F, D, x
time = 40

[Command]
name = dunk
command = ~U, UB, B, DB, D, DF, F, x
time = 40

[Command]
name = dunk
command = ~B, DB, D, DF, F, UF, U, x
time = 40

[Command]
name = dunk
command = ~D, DF, F, UF, U, UB, B, x
time = 40

[Command]
name = dunk
command = ~F, UF, U, UB, B, DB, D, x
time = 40

[Command]
name = dunk
command = ~U, UF, F, DF, D, DB, B, x
time = 40

[Command]
name = dunk
command = ~F, DF, D, DB, B, UB, U, x
time = 40

[Command]
name = dunk
command = ~D, DB, B, UB, U, UF, F, x
time = 40

[Command]
name = dunk
command = ~B, UB, U, UF, F, DF, D, x
time = 40

[Command]
name = dunk
command = ~U, UB, B, DB, D, DF, x
time = 40

[Command]
name = dunk
command = ~B, DB, D, DF, F, UF, x
time = 40

[Command]
name = dunk
command = ~D, DF, F, UF, U, UB, x
time = 40

[Command]
name = dunk
command = ~F, UF, U, UB, B, DB, x
time = 40

[Command]
name = dunk
command = ~U, UF, F, DF, D, DB, x
time = 40

[Command]
name = dunk
command = ~F, DF, D, DB, B, UB, x
time = 40

[Command]
name = dunk
command = ~D, DB, B, UB, U, UF, y
time = 40

[Command]
name = dunk
command = ~B, UB, U, UF, F, DF, y
time = 40

[Command]
name = dunk
command = ~U, B, D, F, y
time = 40

[Command]
name = dunk
command = ~B, D, F, U, y
time = 40

[Command]
name = dunk
command = ~D, F, U, B, y
time = 40

[Command]
name = dunk
command = ~F, U, B, D, y
time = 40

[Command]
name = dunk
command = ~U, F, D, B, y
time = 40

[Command]
name = dunk
command = ~F, D, B, U, y
time = 40

[Command]
name = dunk
command = ~D, B, U, F, y
time = 40

[Command]
name = dunk
command = ~B, U, F, D, y
time = 40

[Command]
name = dunk
command = ~U, UB, B, DB, D, DF, F, y
time = 40

[Command]
name = dunk
command = ~B, DB, D, DF, F, UF, U, y
time = 40

[Command]
name = dunk
command = ~D, DF, F, UF, U, UB, B, y
time = 40

[Command]
name = dunk
command = ~F, UF, U, UB, B, DB, D, y
time = 40

[Command]
name = dunk
command = ~U, UF, F, DF, D, DB, B, y
time = 40

[Command]
name = dunk
command = ~F, DF, D, DB, B, UB, U, y
time = 40

[Command]
name = dunk
command = ~D, DB, B, UB, U, UF, F, y
time = 40

[Command]
name = dunk
command = ~B, UB, U, UF, F, DF, D, y
time = 40

[Command]
name = dunk
command = ~U, UB, B, DB, D, DF, y
time = 40

[Command]
name = dunk
command = ~B, DB, D, DF, F, UF, y
time = 40

[Command]
name = dunk
command = ~D, DF, F, UF, U, UB, y
time = 40

[Command]
name = dunk
command = ~F, UF, U, UB, B, DB, y
time = 40

[Command]
name = dunk
command = ~U, UF, F, DF, D, DB, y
time = 40

[Command]
name = dunk
command = ~F, DF, D, DB, B, UB, y
time = 40

[Command]
name = dunk
command = ~D, DB, B, UB, U, UF, y
time = 40

[Command]
name = dunk
command = ~B, UB, U, UF, F, DF, y
time = 40

[Command]
name = dunk
command = ~U, B, D, F, z
time = 40

[Command]
name = dunk
command = ~B, D, F, U, z
time = 40

[Command]
name = dunk
command = ~D, F, U, B, z
time = 40

[Command]
name = dunk
command = ~F, U, B, D, z
time = 40

[Command]
name = dunk
command = ~U, F, D, B, z
time = 40

[Command]
name = dunk
command = ~F, D, B, U, z
time = 40

[Command]
name = dunk
command = ~D, B, U, F, z
time = 40

[Command]
name = dunk
command = ~B, U, F, D, z
time = 40

[Command]
name = dunk
command = ~U, UB, B, DB, D, DF, F, z
time = 40

[Command]
name = dunk
command = ~B, DB, D, DF, F, UF, U, z
time = 40

[Command]
name = dunk
command = ~D, DF, F, UF, U, UB, B, z
time = 40

[Command]
name = dunk
command = ~F, UF, U, UB, B, DB, D, z
time = 40

[Command]
name = dunk
command = ~U, UF, F, DF, D, DB, B, z
time = 40

[Command]
name = dunk
command = ~F, DF, D, DB, B, UB, U, z
time = 40

[Command]
name = dunk
command = ~D, DB, B, UB, U, UF, F, z
time = 40

[Command]
name = dunk
command = ~B, UB, U, UF, F, DF, D, z
time = 40

[Command]
name = dunk
command = ~U, UB, B, DB, D, DF, z
time = 40

[Command]
name = dunk
command = ~B, DB, D, DF, F, UF, z
time = 40

[Command]
name = dunk
command = ~D, DF, F, UF, U, UB, z
time = 40

[Command]
name = dunk
command = ~F, UF, U, UB, B, DB, z
time = 40

[Command]
name = dunk
command = ~U, UF, F, DF, D, DB, z
time = 40

[Command]
name = dunk
command = ~F, DF, D, DB, B, UB, z
time = 40

[Command]
name = goodnight
command = ~F, D, F, a

[Command]
name = goodnight
command = ~F, D, F, b
[Command]
name = goodnight
command = ~F, D, F, c

[Command]
name = MWUHAHA
command = ~U, B, D, F, a
time = 40

[Command]
name = MWUHAHA
command = ~B, D, F, U, a
time = 40

[Command]
name = MWUHAHA
command = ~D, F, U, B, a
time = 40

[Command]
name = MWUHAHA
command = ~F, U, B, D, a
time = 40

[Command]
name = MWUHAHA
command = ~U, F, D, B, a
time = 40

[Command]
name = MWUHAHA
command = ~F, D, B, U, a
time = 40

[Command]
name = MWUHAHA
command = ~D, B, U, F, a
time = 40

[Command]
name = MWUHAHA
command = ~B, U, F, D, a
time = 40

[Command]
name = MWUHAHA
command = ~U, UB, B, DB, D, DF, F, a
time = 40

[Command]
name = MWUHAHA
command = ~B, DB, D, DF, F, UF, U, a
time = 40

[Command]
name = MWUHAHA
command = ~D, DF, F, UF, U, UB, B, a
time = 40

[Command]
name = MWUHAHA
command = ~F, UF, U, UB, B, DB, D, a
time = 40

[Command]
name = MWUHAHA
command = ~U, UF, F, DF, D, DB, B, a
time = 40

[Command]
name = MWUHAHA
command = ~F, DF, D, DB, B, UB, U, a
time = 40

[Command]
name = MWUHAHA
command = ~D, DB, B, UB, U, UF, F, a
time = 40

[Command]
name = MWUHAHA
command = ~B, UB, U, UF, F, DF, D, a
time = 40

[Command]
name = MWUHAHA
command = ~U, UB, B, DB, D, DF, a
time = 40

[Command]
name = MWUHAHA
command = ~B, DB, D, DF, F, UF, a
time = 40

[Command]
name = MWUHAHA
command = ~D, DF, F, UF, U, UB, a
time = 40

[Command]
name = MWUHAHA
command = ~F, UF, U, UB, B, DB, a
time = 40

[Command]
name = MWUHAHA
command = ~U, UF, F, DF, D, DB, a
time = 40

[Command]
name = MWUHAHA
command = ~F, DF, D, DB, B, UB, a
time = 40

[Command]
name = MWUHAHA
command = ~U, B, D, F, b
time = 40

[Command]
name = MWUHAHA
command = ~B, D, F, U, b
time = 40

[Command]
name = MWUHAHA
command = ~D, F, U, B, b
time = 40

[Command]
name = MWUHAHA
command = ~F, U, B, D, b
time = 40

[Command]
name = MWUHAHA
command = ~U, F, D, B, b
time = 40

[Command]
name = MWUHAHA
command = ~F, D, B, U, b
time = 40

[Command]
name = MWUHAHA
command = ~D, B, U, F, b
time = 40

[Command]
name = MWUHAHA
command = ~B, U, F, D, b
time = 40

[Command]
name = MWUHAHA
command = ~U, UB, B, DB, D, DF, F, b
time = 40

[Command]
name = MWUHAHA
command = ~B, DB, D, DF, F, UF, U, b
time = 40

[Command]
name = MWUHAHA
command = ~D, DF, F, UF, U, UB, B, b
time = 40

[Command]
name = MWUHAHA
command = ~F, UF, U, UB, B, DB, D, b
time = 40

[Command]
name = MWUHAHA
command = ~U, UF, F, DF, D, DB, B, b
time = 40

[Command]
name = MWUHAHA
command = ~F, DF, D, DB, B, UB, U, b
time = 40

[Command]
name = MWUHAHA
command = ~D, DB, B, UB, U, UF, F, b
time = 40

[Command]
name = MWUHAHA
command = ~B, UB, U, UF, F, DF, D, b
time = 40

[Command]
name = MWUHAHA
command = ~U, UB, B, DB, D, DF, b
time = 40

[Command]
name = MWUHAHA
command = ~B, DB, D, DF, F, UF, b
time = 40

[Command]
name = MWUHAHA
command = ~D, DF, F, UF, U, UB, b
time = 40

[Command]
name = MWUHAHA
command = ~F, UF, U, UB, B, DB, b
time = 40

[Command]
name = MWUHAHA
command = ~U, UF, F, DF, D, DB, b
time = 40

[Command]
name = MWUHAHA
command = ~F, DF, D, DB, B, UB, b
time = 40

[Command]
name = MWUHAHA
command = ~U, B, D, F, c
time = 40

[Command]
name = MWUHAHA
command = ~B, D, F, U, c
time = 40

[Command]
name = MWUHAHA
command = ~D, F, U, B, c
time = 40

[Command]
name = MWUHAHA
command = ~F, U, B, D, c
time = 40

[Command]
name = MWUHAHA
command = ~U, F, D, B, c
time = 40

[Command]
name = MWUHAHA
command = ~F, D, B, U, c
time = 40

[Command]
name = MWUHAHA
command = ~D, B, U, F, c
time = 40

[Command]
name = MWUHAHA
command = ~B, U, F, D, c
time = 40

[Command]
name = MWUHAHA
command = ~U, UB, B, DB, D, DF, F, c
time = 40

[Command]
name = MWUHAHA
command = ~B, DB, D, DF, F, UF, U, c
time = 40

[Command]
name = MWUHAHA
command = ~D, DF, F, UF, U, UB, B, c
time = 40

[Command]
name = MWUHAHA
command = ~F, UF, U, UB, B, DB, D, c
time = 40

[Command]
name = MWUHAHA
command = ~U, UF, F, DF, D, DB, B, c
time = 40

[Command]
name = MWUHAHA
command = ~F, DF, D, DB, B, UB, U, c
time = 40

[Command]
name = MWUHAHA
command = ~D, DB, B, UB, U, UF, F, c
time = 40

[Command]
name = MWUHAHA
command = ~B, UB, U, UF, F, DF, D, c
time = 40

[Command]
name = MWUHAHA
command = ~U, UB, B, DB, D, DF, c
time = 40

[Command]
name = MWUHAHA
command = ~B, DB, D, DF, F, UF, c
time = 40

[Command]
name = MWUHAHA
command = ~D, DF, F, UF, U, UB, c
time = 40

[Command]
name = MWUHAHA
command = ~F, UF, U, UB, B, DB, c
time = 40

[Command]
name = MWUHAHA
command = ~U, UF, F, DF, D, DB, c
time = 40

[Command]
name = MWUHAHA
command = ~F, DF, D, DB, B, UB, c
time = 40

[Command]
name = QCF_a
command = ~F, D, F, x

[Command]
name = QCF_c
command = a+b

[Command]
name = QCF_d
command = x+y

[Command]
name = QCF_b
command = ~F, D, F, y

[Command]
name = QCF_x
command = ~F, D, F, z
[Command]
name = QCB_a
command = ~D, DB, B, a

[Command]
name = QCB_b
command = ~D, DB, B, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = BB       ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

[Command]
name = ab
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1

[Command]
name = up_p
command = /$U,x
time = 1

[Command]
name = up_p
command = /$U,y
time = 1

[Command]
name = up_p
command = /$U,z
time = 1

[Command]
name = fwd_b
command = /F,b
time = 1

[Command]
name = fwd_y
command = /$F,y
time = 1

[Command]
name = fwd_c
command = /F,c
time = 1

[Command]
name = downfwd_a
command = /DF,a
time = 1

[Command]
name = downfwd_b
command = /DF,b
time = 1

[Command]
name = back_a
command = /B,a
time = 1

[Command]
name = back_b
command = /B,b
time = 1

[Command]
name = back_c
command = /B,c
time = 1

[Command]
name = down_a
command = /$D,a
time = 1

[Command]
name = down_b
command = /$D,b
time = 1

[Command]
name = down_c
command = /$D,c
time = 1

[Command]
name = down_x
command = /$D,x
time = 1

[Command]
name = down_y
command = /$D,y
time = 1

[Command]
name = down_z
command = /$D,z
time = 1


[Command]
name = fwd_ab
command = /F, a+b
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

[Command]
name = s
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = holdback ;Required (do not remove)
command = /$B
time = 1

[Command]
name = holdup   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = holddown ;Required (do not remove)
command = /$D
time = 1

[Command]
name = relfwd  
command = ~F
time = 1

[Command]
name = relback 
command = ~B
time = 1

[Command]
name = relup   
command = ~U
time = 1

[Command]
name = reldown 
command = ~D
time = 1
;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;FINAL ATOMIC BUSTER
[State -1]
type = ChangeState
value = 3001
triggerall = command = QCF_ab
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA
trigger2 = movecontact = 1

;Dash
[State -1]
type = ChangeState
value = 100
triggerall = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;Taunt
[State -1]
type = ChangeState
value = 95
triggerall = command = s
trigger1 = statetype = S
trigger1 = ctrl = 1

;SFA3
[State -1]
type = ChangeState
value = 3100
triggerall = command = SFA3
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 299 ;Stand_z
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Dunk1
[State -1]
type = ChangeState
value = 1100
triggerall = command = dunk
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 299 ;Stand_z
trigger2 = movecontact = 1

;WazaA_b
[State -1]
type = ChangeState
value = 1010
triggerall = command = QCF_b
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 400
trigger4 = movecontact = 1
trigger5 = stateno = 410
trigger5 = movecontact = 1
trigger6 = stateno = 299 ;Stand_z
trigger6 = movecontact = 1

; Lariat
[State -1]
type = ChangeState
value = 1203
triggerall = command = QCF_d
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 400
trigger4 = movecontact = 1
trigger5 = stateno = 410
trigger5 = movecontact = 1
trigger6 = stateno = 299 ;Stand_z
trigger6 = movecontact = 1

;Elbow (ground)
[State -1]
type = ChangeState
value = 196
trigger1 = command = fwd_y
trigger1 = statetype = S
trigger1 = ctrl = 1
;===========================================================================
;goodnight
[State -1]
type = ChangeState
value = 1300
triggerall = command = goodnight
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = stateno != 220
trigger2 = stateno != 230
trigger2 = movehit = 1
trigger3 = stateno = 299 ;Stand_z
trigger3 = movecontact = 1
;---------------------------------------------------------------------------
; Lariat
[State -1]
type = ChangeState
value = 1200
triggerall = command = QCF_c
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 400
trigger4 = movecontact = 1
trigger5 = stateno = 410
trigger5 = movecontact = 1
trigger6 = stateno = 299 ;Stand_z
trigger6 = movecontact = 1
;---------------------------------------------------------------------------
;MWUHAHA
[State -1]
type = ChangeState
value = 2100
triggerall = command = MWUHAHA
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 299 ;Stand_z
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;WazaA_a
[State -1]
type = ChangeState
value = 1010
triggerall = command = QCF_a
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 400
trigger4 = movecontact = 1
trigger5 = stateno = 410
trigger5 = movecontact = 1
trigger6 = stateno = 299 ;Stand_z
trigger6 = movecontact = 1
;---------------------------------------------------------------------------
;WazaA_x
[State -1]
type = ChangeState
value = 1010
triggerall = command = QCF_x
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 400
trigger4 = movecontact = 1
trigger5 = stateno = 410
trigger5 = movecontact = 1
trigger6 = stateno = 299 ;Stand_z
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Throw
[State -1]
type = ChangeState
value = 900
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = fwd_ab  ;Command
trigger2 = command = back_ab ;Command
trigger3 = command = fwd_b   ;Near, p2 stand
trigger3 = stateno != 100    ;Not running
trigger3 = p2bodydist X < 3
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = fwd_b   ;Near, p2 crouch
trigger4 = stateno != 100    ;Not running
trigger4 = p2bodydist X < 3
trigger4 = p2statetype = C
trigger4 = p2movetype != H
trigger5 = command = back_b  ;Near, p2 stand
trigger5 = p2bodydist X < 5
trigger5 = p2statetype = S
trigger5 = p2movetype != H
trigger6 = command = back_b  ;Near, p2 crouch
trigger6 = p2bodydist X < 5
trigger6 = p2statetype = C
trigger6 = p2movetype != H

;---------------------------------------------------------------------------
;Air_Throw1
[State -1]
type = ChangeState
value = 950
triggerall = statetype = A
triggerall = ctrl = 1
trigger1 = command = fwd_ab
trigger2 = command = back_ab
;---------------------------
;Air_Throw1 (second set of commands)
[State -1]
type = ChangeState
value = 950
triggerall = statetype = A
triggerall = ctrl = 1
triggerall = p2bodydist X < 9
triggerall = p2bodydist Y > -22
triggerall = p2bodydist Y < 22
triggerall = p2statetype = A
triggerall = p2movetype != H
trigger1 = command = fwd_b
trigger2 = command = back_b
;===========================================================================
;---------------------------------------------------------------------------
;Stand_x
[State -1]
type = ChangeState
value = 200
triggerall = command = x
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;Stand_Z
[State -1]
type = ChangeState
value = 299
triggerall = command = z
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 699 ;Stand_b
trigger2 = movecontact = 1
trigger3 = stateno = 201 ;Stand_X
trigger3 = movecontact = 1
;-------------------------------
;Stand_y
[State -1]
type = ChangeState
value = 201
triggerall = command = y
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200 ;Stand_X
trigger2 = movecontact = 1
trigger3 = stateno = 799 ;Stand_a
trigger3 = movecontact = 1
;-------------------------------
;Stand_a
[State -1]
type = ChangeState
value = 799
triggerall = command = a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200 ;Stand_X
trigger2 = movecontact = 1

;Stand_b
[State -1]
type = ChangeState
value = 699
triggerall = command = b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 201 ;Stand_y
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;Stand_c
[State -1]
type = ChangeState
value = 210
triggerall = command = c
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 299 ;Stand_z
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch_x
[State -1]
type = ChangeState
value = 400
triggerall = command = x
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;Crouch_Z
[State -1]
type = ChangeState
value = 499
triggerall = command = z
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;Crouch_y
[State -1]
type = ChangeState
value = 599
triggerall = command = y
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
value = 410
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
;------------------------
;Crouch_c
[State -1]
type = ChangeState
value = 999
triggerall = command = c
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
;----------------------------
;Crouch_a
[State -1]
type = ChangeState
value = 899
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_x
[State -1]
type = ChangeState
value = 600
trigger1 = command = x
trigger1 = statetype = A
trigger1 = ctrl = 1

;Knee
[State -1]
type = ChangeState
value = 601
trigger1 = command = down_b
trigger1 = statetype = A
trigger1 = ctrl = 1

;Elbow
[State -1]
type = ChangeState
value = 199
trigger1 = command = down_y
trigger1 = statetype = A
trigger1 = ctrl = 1

;Head_Butt
[State -1]
type = ChangeState
value = 69
trigger1 = command = up_p
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = b   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1

;Splash
[State -1]
type = ChangeState
value = 602
trigger1 = command = down_z
trigger1 = statetype = A
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;Jump_c
[State -1]
type = ChangeState
value = 610
trigger1 = command = c
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = b   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;Jump_Z
[State -1]
type = ChangeState
value = 688
trigger1 = command = z
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = a   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = statetime >= 6

;---------------------------------------------------------------------------
;Jump_Y
[State -1]
type = ChangeState
value = 788
trigger1 = command = y
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = b   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;Jump_a
[State -1]
type = ChangeState
value = 888
trigger1 = command = a
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = a   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = statetime >= 6

;---------------------------------------------------------------------------
;Jump_b
[State -1]
type = ChangeState
value = 988
trigger1 = command = b
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = b   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;goodnight
[State -1]
type = ChangeState
value = 1300
triggerall = command = goodnight
trigger1 = statetype = S
trigger1 = ctrl = 1
;trigger2 = stateno != 1100
;trigger2 = stateno != 1105
;trigger2 = stateno != 1600
;---------------------------------------------------------------------------

